Bug 1523147 - Templates tab in Hosts>Operating Systems have confusing and misleading asterisks
Summary: Templates tab in Hosts>Operating Systems have confusing and misleading asterisks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning Templates
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.5.0
Assignee: satellite6-bugs
QA Contact: Jameer Pathan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-07 10:06 UTC by Melanie Corr
Modified: 2019-11-05 22:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:36:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
verification screenshot (54.19 KB, image/png)
2018-11-20 11:45 UTC, Jameer Pathan
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 22052 None None None 2017-12-21 09:08:53 UTC
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:36:54 UTC

Description Melanie Corr 2017-12-07 10:06:28 UTC
Description of problem:
In Hosts > Operating Systems, when you go to select the Templates, each template has an asterisks beside its name. This is confusing

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Hosts > Operating Systems.
2. Select an operating system, RHEL 7, or Fedora.
3. Select the Templates tab.
4. Every template option has an asterisk, which makes it look mandatory to make a selection for each one. 

Actual results:
According to Lzapletal, only three are mandatory: PXE, Provision, and Finish template

Expected results:
Only the mandatory template selections should have asterisks. 

Additional info:

Comment 2 Daniel Lobato Garcia 2017-12-21 09:08:50 UTC
Created redmine issue http://projects.theforeman.org/issues/22052 from this bug

Comment 3 Marek Hulan 2018-08-07 07:14:18 UTC
Copying the reasoning from upstream.

I think we should remove all asterisks, which templates needs to be assigned is determined by what provisioning type you choose for this OS. In fact image based provisioning can work with finish template only. On the other hand that can lead to a confusion that no template is required. So alternative solution is keeping all asterisks but add help to the form that explains the purpose.

The alternative solution was picked, so asterisks will remain but there's little info icon next to it.

Comment 4 pm-sat@redhat.com 2018-10-15 14:01:23 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/22052 has been resolved.

Comment 6 Jameer Pathan 2018-11-20 11:44:16 UTC
verified

@satellite 6.5.0 snap 4

steps:
1. Hosts > Operating Systems.
2. Select an operating system, RHEL 7, or Fedora.
3. Select the Templates tab.

observation:
- info icons next to each template.

Comment 7 Jameer Pathan 2018-11-20 11:45:37 UTC
Created attachment 1507397 [details]
verification screenshot

Comment 11 errata-xmlrpc 2019-05-14 12:36:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.